> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/de/websites-and-zonen/dfi-mfi-html-events.md).

# Hinzufügen von HTML-Ereignissen für Fullpage-Interstitials

Die **Desktop Fullpage Interstitial** und **Mobiles Fullpage Interstitial** Anzeigenformate können über einige HTML-Ereignisse mit Ihrer Website interagieren. Sie können auf diese Ereignisse reagieren, um zusätzliche Aktionen auf Ihrer Website auszulösen.

## creativeDisplayed

Wenn eine Fullpage-Interstitial-Anzeige im Browser des Nutzers geladen wird, wird das Ereignis `creativeDisplayed-XXXXXXX`, wobei `XXXXXXX` die Zonen-ID ist, die dieser Fullpage-Interstitial-Anzeigenzone entspricht.

Dieser Event-Listener ermöglicht es Ihnen, jede gewünschte Aktion auf Ihrer Website programmgesteuert auszuführen und weitere Informationen über das Element zu erhalten, das das Ereignis ausgelöst hat, wie z. B. die URL, ID, Klassen und den Text.

Im folgenden Beispiel zeigen wir die `Creative angezeigt!` Meldung in der Konsole an, wenn das Fullpage-Interstitial angezeigt wird, und listen alle Details des Elements auf, das das Ereignis ausgelöst hat:

```js
<script async type="application/javascript" src="https://a.pemsrv.com/ad-provider.js"></script>
<ins class="eas6a97888e35" data-zoneid="1234567"></ins>
<script>(AdProvider = window.AdProvider || []).push({"serve": {}});</script>

<a href="https://www.exoclick.com">Visit exoclick.com!</a>

<script type="application/javascript">
    document.addEventListener('creativeDisplayed-1234567', function (e) {
        console.log("Creative shown!");
        console.log(e.detail);
    }, false);
</script>
```

## Meldung

Wenn Ihre Fullpage-Interstitial-Anzeigenzone eine Iframe-Kampagne ausliefert, können Sie dem Ereignis einen Event-Listener hinzufügen `Meldung`. Dies ermöglicht es Ihnen, jede gewünschte Aktion auf Ihrer Website programmgesteuert auszuführen, nachdem das Iframe im Browser des Nutzers geladen wurde.

Die Ereignisdaten enthalten die Eigenschaften `id`, was ein MD5-Hash des iframe-URL-Parameters ist, und `geladen` auf true gesetzt ist. Im folgenden Beispiel zeigen wir die `Iframe geladen!` Meldung in der Konsole an, wenn das Iframe im Browser des Nutzers angezeigt wird:

```js
<script async type="application/javascript" src="https://a.pemsrv.com/ad-provider.js"></script>
<ins class="eas6a97888e35" data-zoneid="1234567"></ins>
<script>(AdProvider = window.AdProvider || []).push({"serve": {}});</script>

<a href="https://www.exoclick.com">Visit exoclick.com!</a>

<script type="application/javascript">
    window.addEventListener('message', function(event) {
        if (event.data.id && event.data.loaded) {
            console.log("Iframe loaded!")
        }
    });
</script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/de/websites-and-zonen/dfi-mfi-html-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
